:root{
    --ndu-red: #C81518;
    --ndu-red-hover: #b71215;
    --action: green;
}
html{
  overflow-y: scroll;
}
input:not([type="checkbox"]):not([type="radio"]) {
  -webkit-appearance: none;
  -moz-appearance: none;
  appearance: none;
  }
  select{
    -webkit-appearance: none;
    -moz-appearance: none;
    appearance: none;
    background: url("data:image/svg+xml;utf8,<svg xmlns='http://www.w3.org/2000/svg' fill='grey' viewBox='0 0 24 24'><path d='M0 7.33l2.829-2.83 9.175 9.339 9.167-9.339 2.829 2.83-11.996 12.17z'/></svg>") no-repeat;
    background-size: 12px;
    background-position: calc(100% - 20px) center;
    background-repeat: no-repeat;
    background-color: white;
    padding-left: 10px;
    border: 1px solid #ced4da;
    border-radius: .25rem;
    padding: .375rem .75rem;
  }
::-webkit-scrollbar {
    width: 14px;
    height: 18px;
}
::-webkit-scrollbar-thumb {
  height: 6px;
  border: 4px solid rgba(0, 0, 0, 0);
  background-clip: padding-box;
  -webkit-border-radius: 7px;
  background-color: rgba(0, 0, 0, 0.15);
  -webkit-box-shadow: inset -1px -1px 0px rgba(0, 0, 0, 0.05), inset 1px 1px 0px rgba(0, 0, 0, 0.05);
}
::-webkit-scrollbar-button {
  width: 0;
  height: 0;
  display: none;
}
::-webkit-scrollbar-corner {
  background-color: transparent;
}
body{
    background: #f6f8fa;
    font-size: 12px;
}
body.no-scroll{
    position: fixed;
    width: 100%;
    overflow: hidden;
}
.app-wrapper{
    padding: 40px;
    max-width: 1600px;
    margin: auto;
    box-sizing: border-box;
}
.app-navbar{
    position: fixed;
    background: #24292e;
    font-size: 14px;
    height: 45px;
    width: 100%;
    display: flex;
    align-items: center;
    padding: 0 20px;
    transition: all 0.3s;
    z-index: 999;
}

.app-navbar.expanded{
    height: 100%;
    width: 100%;
    position: fixed;
    
}
.navbar-logo-container{
    display: flex;
    align-items: center;
}
.navbar-logo{
    display: block;
    background: url('../images/NDU_logo.svg') no-repeat;
    height: 20px;
    width: 20px;
    background-size: 20px;
    position: relative;
    bottom: 2px;
    margin-right: 10px;
}
.navbar-app-name{
    color: white;
    font-weight: 600;
    font-size: 14px
}
.navbar-items{
    display: flex;
    align-items: center;
    margin: 0;
}
.navbar-items.expanded{
    display: flex;
    flex-direction: column;
    align-items: center;
    font-size: 20px;
    padding: 0;
    position: absolute;
    top: 50%;
    left: 50%;
    transform: translate(-50%, -60%);
}

.nav-item{
    list-style: none;
}
.nav-item a{
    color: white;
    font-weight: 600;
    font-size: 13px;
}
.nav-item a:hover{
    color: hsla(0,0%,100%,.7);
    text-decoration: none;
}
.nav-toggle {
    display: none;
    cursor: pointer;
    height: 24px;
    width: 24px;
    z-index: 2;
    position: fixed;
    top: 10px;
    right: 14px;
  }

  .nav-toggle .nav-toggle-bar,
  .nav-toggle .nav-toggle-bar::after,
  .nav-toggle .nav-toggle-bar::before {
    position: absolute;
    top: 50%;
    -webkit-transform: translateY(-50%);
    -ms-transform: translateY(-50%);
    transform: translateY(-50%);
    background: white;
    content: "";
    height: 3px;
    border-radius: 5px;
    transition: all 0.2s;
    width: 100%;
  }
  .nav-toggle .nav-toggle-bar {
    margin-top: 0;
  }
  .nav-toggle .nav-toggle-bar::after {
    margin-top: 7.5px;
  }
  .nav-toggle .nav-toggle-bar::before {
    margin-top: -7.5px;
  }
  .nav-toggle.expanded .nav-toggle-bar {
    background: transparent;
  }
  .nav-toggle.expanded .nav-toggle-bar::after, .nav-toggle.expanded .nav-toggle-bar::before {
    background: white;
    margin-top: 0;
  }
  .nav-toggle.expanded .nav-toggle-bar::after {
    -ms-transform: rotate(45deg);
    -webkit-transform: rotate(45deg);
    transform: rotate(45deg);
  }
  .nav-toggle.expanded .nav-toggle-bar::before {
    -ms-transform: rotate(-45deg);
    -webkit-transform: rotate(-45deg);
    transform: rotate(-45deg);
  }
  #spinner{
      display: none;
  }
  .loading-background{
      position: fixed;
      background: #ffffff47;
      height: 100%;
      width: 100%;
      left: 0;
      top: 0;
      z-index: 10000;
      pointer-events: none;
  }
  .sk-cube-grid {
    width: 80px;
    height: 80px;
    position: fixed;
    top: 50%;
    left: 50%;
    transform: translate(-50%, -50%);

  }
  
  .sk-cube-grid .sk-cube {
    width: 25%;
    height: 25%;
    background-color: var(--ndu-red);
    float: left;
    -webkit-animation: sk-cubeGridScaleDelay 2s infinite ease-in-out;
            animation: sk-cubeGridScaleDelay 2s infinite ease-in-out; 
  }
  .sk-cube-grid .sk-cube1 {
    -webkit-animation-delay: 0.3s;
            animation-delay: 0.3s; }
  .sk-cube-grid .sk-cube2 {
    -webkit-animation-delay: 0.4s;
            animation-delay: 0.4s; }
  .sk-cube-grid .sk-cube3 {
    -webkit-animation-delay: 0.5s;
            animation-delay: 0.5s; }
  .sk-cube-grid .sk-cube4 {
    -webkit-animation-delay: 0.6s;
            animation-delay: 0.6s; }
  .sk-cube-grid .sk-cube5 {
    visibility: hidden; }
  .sk-cube-grid .sk-cube6 {
    -webkit-animation-delay: 0.3s;
            animation-delay: 0.3s; }
  .sk-cube-grid .sk-cube7 {
    visibility: hidden; }
  .sk-cube-grid .sk-cube8 {
    -webkit-animation-delay: 0.5s;
            animation-delay: 0.5s; }
  .sk-cube-grid .sk-cube9 {
    visibility: hidden; }
 .sk-cube-grid .sk-cube10 {
    visibility: hidden; }
 .sk-cube-grid .sk-cube11 {
    -webkit-animation-delay: 0.3s;
            animation-delay: 0.3s; }
 .sk-cube-grid .sk-cube12 {
    -webkit-animation-delay: 0.4s;
            animation-delay: 0.4s; }
 .sk-cube-grid .sk-cube13 {
    -webkit-animation-delay: 0.1s;
            animation-delay: 0.1s; }
 .sk-cube-grid .sk-cube14 {
    visibility: hidden; }
 .sk-cube-grid .sk-cube15 {
    visibility: hidden; }
 .sk-cube-grid .sk-cube16 {
    -webkit-animation-delay: 0.3s;
            animation-delay: 0.3s; }
  
  @-webkit-keyframes sk-cubeGridScaleDelay {
    0%, 25%, 100% {
      -webkit-transform: scale3D(1, 1, 1);
              transform: scale3D(1, 1, 1);
    } 10% {
      -webkit-transform: scale3D(0, 0, 1);
              transform: scale3D(0, 0, 1); 
    }
  }
  
  @keyframes sk-cubeGridScaleDelay {
    0%, 25%, 100% {
      -webkit-transform: scale3D(1, 1, 1);
              transform: scale3D(1, 1, 1);
    } 10% {
      -webkit-transform: scale3D(0, 0, 1);
              transform: scale3D(0, 0, 1);
    } 
  }
  .mock-row{
      height: 15px;
      width: 100%;
      background: lightgrey;
      margin-top: 7px;
  }
.main-content{
    display: flex;
}
.block-wrapper{
    padding: 20px;
    background: white;
    border: 1px solid #e8e8e8;
    border-radius: 4px;
}
.ndu-btn{
  -webkit-appearance: none;
  cursor: pointer;
  color: white;
  background: var(--ndu-red);
  border: none;
  outline: none;
  border-radius: 4px;
  font-weight: 600;
}
.ndu-btn:hover{
  background: var(--ndu-red-hover);
}
.apply-btn{
    display: none;
    position: fixed;
    z-index: 2;
    bottom: 30px;
    right: 30px;
    height: 50px;
    width: 180px;
    font-size: 16px;
}

.apply-modal-container{
    display: none;
    position: absolute;
    background: #00000038;
    top: 0;
    left: 0;
    height: auto;
    width: 100%;
    padding-bottom: 30px;
}
.apply-modal{
    position: relative;
    margin: auto;
    margin-top: 55px;
    padding: 30px 15px;
    background: white;
    border-radius: 7px;
    width: 96%;
    min-height: 100vh
}
#MakeApplication{
  height: 40px;
  width: 150px;
  font-size: 14px;
  font-weight: 600;
  position: absolute;
  right: 30px;
  margin-bottom: 20px;
}
.section-header{
    margin: 20px 0;
    padding: 20px 0 0 20px;
    font-size: 24px;
    font-weight: 600;
}

#pageSettl{
    margin-right: 10px;
    width: 100%;
    background: white;
}
#pageAbout{
    padding: 12px 20px 0 25px;
    min-height: 100vh;
    width: 100%;
    height: fit-content;
}
.MakeApplicationDiv{
  width: 100%;
  position: relative;
  height: 60px;
}
.text-danger{
  font-size: 12px;
}
.closeBtn {
    position: absolute;
    right: 7px;
    top: 13px;
    width: 32px;
    height: 32px;
  }
  .closeBtn:hover {
    opacity: 1;
  }
  .closeBtn:before, .closeBtn:after {
    position: absolute;
    left: 15px;
    content: ' ';
    height: 16px;
    width: 2px;
    background-color: #333;
  }
  .closeBtn:before {
    transform: rotate(45deg);
  }
  .closeBtn:after {
    transform: rotate(-45deg);
  }
  .apply-header{
    text-align: center;
    font-size: 24px;
    font-weight: 700;
  }
  .apply-header2{
    margin: 30px 0;
    line-height: 22px;
    font-size: 17px !important;
    font-weight: 700 !important;
  }
  .apply-header3{
    font-size: 24px;
    font-weight: 700;
  }
  .apply-desc, .apply-desc4{
    text-align: center;
    font-size: 14px;
    max-width: 400px;
    margin: auto;
    margin-top: 6px;
    font-weight: 500;
  }
  .apply-desc2{
    color: #505050;
    font-size: 14px;
    margin-top: 6px;
    font-weight: 500;
    margin-bottom: 45px;
  }
  .apply-desc3{
    margin: 70px 0 30px 0;
    color: #505050;
    font-size: 16px;
    font-style: italic
  }
  .apply-desc4{
    margin-left: 0;
    text-align: left;
  }
  .apply-state-wrapper{
    margin-top: 60px;
  }
  #appForm label{
    font-size: 12px;
    font-weight: 500;
    }
  #Status_JurPers{
    width: 100%
  }
  .form-control:focus{
    box-shadow: 0 0 0 0.1rem rgba(0,123,255,.25)
  }
  .apply-checkbox-container{
    display: flex;
    align-items: center;
    align-content: center;
    flex-wrap: wrap;
    margin-left: 15px;
    font-size: 14px;
  }
  .apply-checkbox-container input{
    margin-right: 5px;
  }
  .apply-checkbox-no{
    margin-left: 20px;
  }
  .projects-container{
    background: white;
    padding: 20px 10px;
    border: 1px solid #e8e8e8;
    border-radius: 4px;
    position: relative;
  }
  .projects-table{
    width: 100%;
  }
  .projects-table thead tr{
    background: var(--ndu-red);
    height: 30px;
    color: white;
  }   
  .projects-table tbody tr:nth-child(even){
    background: #f7f7f7;
  }
  .projects-table tbody tr:hover{
    background: #ececec;
  }
  .projects-table th a{
    color: white;
    text-decoration: underline;
  }
  .projects-table th a:after{
    content: '';
    background: url('data:image/svg+xml;utf8,<svg xmlns="http://www.w3.org/2000/svg" fill="white" viewBox="0 0 489.389 489.389"><g xmlns="http://www.w3.org/2000/svg"><g><path d="M261.294,326.102c-8.3-7.3-21.8-6.2-29.1,2.1l-77,86.8v-346.9c0-11.4-9.4-20.8-20.8-20.8s-20.8,9.4-20.8,20.8v346.9    l-77-86.8c-8.3-8.3-20.8-9.4-29.1-2.1c-8.3,8.3-9.4,20.8-2.1,29.1l113.4,126.9c8.5,10.5,23.5,8.9,30.2,0l114.4-126.9    C270.694,347.002,269.694,333.402,261.294,326.102z"/><path d="M483.994,134.702l-112.4-126.9c-10-10.1-22.5-10.7-31.2,0l-114.4,126.9c-7.3,8.3-6.2,21.8,2.1,29.1    c12.8,10.2,25.7,3.2,29.1-2.1l77-86.8v345.9c0,11.4,9.4,20.8,20.8,20.8s20.8-8.3,20.8-19.8v-346.8l77,86.8    c8.3,8.3,20.8,9.4,29.1,2.1C490.194,155.502,491.294,143.002,483.994,134.702z"/></g></g></svg>') no-repeat;
    background-repeat: no-repeat;
    display: inline-block;
    height: 10px;
    width: 10px;
    margin-left: 6px;
  }

  .projects-table-wrapper{
    overflow-x: scroll;
  }
  .projects-table td, .projects-table th{
    padding: 8px 10px;
  }
  .projects-search-container{
    margin-bottom: 20px;
  }
  #SearchString{
    border: 1px solid #ced4da;
    border-radius: .25rem;
    outline: none;
    padding-left: 10px;
    height: 25px;
    margin-right: 6px;
  }
  #search-btn{
    border: none;
    cursor: pointer;
    outline: none;
    line-height: 1.1;
    border-radius: .25rem;
    width: 60px;
    height: 25px;
    font-weight: 500;
    background: #f1f1f1;
    border: 1px solid #ced4da;
  }
  #search-btn:hover{
    background: var(--ndu-red);
    color: white;
    border: none;
  }
  .apply-info-container{
    font-size: 14px;
    padding: 30px 60px;
    max-width: 1000px;
  }
  .apply-pair{
    display: flex;
    margin-bottom: 20px;
  }
  .apply-key{
    font-weight: bold;
    flex: 0 0 50%;
  }
  .apply-key:after{
    content: ":"
  }
  .apply-value{
    flex: 0 0 50%;
    padding-left: 120px;
  }
  .cancel-btn-wrapper{
    width: fit-content;
    height: 60px;
    display: flex;
    justify-content: center;
    align-items: center;
    margin-bottom: 30px;
    position: relative;
    right: 16px;
  }
  .cancel-btn-wrapper a{
    color: #808080;
    font-weight: 500;
    font-size: 13px;
  }
  .cancel-arrow-icon{
    background: url('../images/left-arrow.svg') no-repeat;
    height: 11px;
    width: 11px;
    background-size: 11px;
    margin-right: 8px;
  }
  .apply-state{
    border-radius: 4px;
    padding: 2px 10px !important;
    white-space: nowrap;
    flex: 0 0 0;
  }
  .block-wrapper2{
    padding: 20px;
  }
  #logoutForm{
    margin-left: auto
  }
  .nav-logname{
    color: white
  }
  .nav-logname:hover{
    color: #e8e8e8;
  }
  .logout-items{
    display: flex;
    align-items: center;
    margin: 0;
  }
  .logout-items.expanded{
    display: flex;
    position: absolute;
    bottom: 50px;
    left: 50%;
    transform: translateX(-50%);
    padding: 0;
  }
  .add-fake-btn{
    padding: 0px 14px 3px 10px;
    position: absolute;
    top: 20px;
    right: 12px;
  }
  .add-fake-btn:hover, .add-fake-btn:focus{
    text-decoration: none;
    color: white;
    background: var(--ndu-red-hover)
  }
  .add-fake-btn::before{
    content: "+";
    font-weight: bold;
    font-size: 18px;
    color: white;
    margin-right: 7px;
  }
  .bulletin-filter-bar{
    display: flex;
    align-items: center;
  }
  .bulletin-filter-checkbox-area{
    display: flex;
    cursor: default;
  }
  .bulletin-filter-sort-btns{
    display: flex;
    margin: 5px 40px 0 -5px;
  }
  .bulletin-filter-sort-btns div{
    padding: 0 5px;
  }
  .bulletin-filter-sort-btns div:not(:last-child){
    border-right: 1px solid grey;
  }
 
  .bulletin-filter-input-wrapper{
    margin-left: auto;
  }
  .bulletin-filter-checkbox-row{
    display: flex;
    flex-direction: column;
    margin: 0 10px;
  }
  .bulletin-filter-checkbox-area input{
    cursor: pointer;
    margin-right: 5px;
    position: relative;
    top: 3px;
  }
  .bulletin-filter-checkbox-title{
    color: grey;
  }
  .bulletin-filter-checkbox-row div{
    margin-bottom: 5px;
  }
  .bulletin-table-container{
    background: #fff;
    margin-top: 5px;
    padding: 10px;
  }
  .pagination{
    position: absolute;
    top: 30px;
    right: 30px;
  }
  .pagination li{
    margin-right: 4px;
    border-radius: 4px;
  }
  .pagination li:hover{
    background: #e0e0e0;
  }
  .pagination li.active{
    background: #acafbf;
  }
  .pagination li.active:hover{
    background: #727586;
  }
  .pagination li.active > *{
    color: white;
    font-weight: bold;
  }

  .pagination li a{
    color: black;
    line-height: 30px;
    padding: 6px 12px;
    cursor: pointer;
    text-decoration: none;
  }
  #formbuldiv{
    padding: 30px 60px;
  }
  
  .add-voiting-btn{
    position: relative;
    top: 0;
    right: 0;
    margin-bottom: 17px;
    display: block;
    width: 133px;
  }
  #buttonsApp{
    margin-left: 15px;
  }
  #buttonsApp input[type=button]{
      -webkit-appearance: none;
      cursor: pointer;
      color: white;
      background: var(--ndu-red);
      border: none;
      outline: none;
      border-radius: 4px;
      font-weight: 600;      
      width: 120px;
      height: 32px;
  }
  #buttonsApp input[type=button]:hover{
    background: var(--ndu-red-hover)
  }
  .table-action-btn{
    background: #a7abbf;
    color: white;
    margin-right: 4px;
    width: 80px;
    border-radius: 4px;
    display: block;
    text-align: center;
    height: 24px;
    line-height: 22px;
    float: right;
  }
  .table-action-btn:hover{
    background: #727586;
    text-decoration: none !important;
    color: white
  }
.pagination-container{
  width: 100%;
  height: 100px;
  position: relative;
}
.result-table-warning{
  color: #e80004;
  width: fit-content;
  padding: 2px 6px;
  border-radius: 4px;
  background: #ffe1e1;
  font-weight: 500;
}
.labor-container{
  display: flex;
    flex-direction: column;
    margin: 20px;
    font-size: 12px;
}
.labor-container input{
  margin-right: 6px;
}
.labor-container div{
    margin-bottom: 10px;
}
.agreement-wr{
  display: flex;
  margin: 10px 0 0 30px;
  font-size: 13px;
  align-items: center;
  position: relative;
}
#agreement-validation{
  position: absolute;
  top: 90px;
}
.create-checkmark {
  display:inline-block;
  position: absolute;
  top: 50%;
  left: 50%;
  transform: translate(-50%, -50%);
  width: 60px;
  height: 60px;
  -ms-transform: rotate(45deg); /* IE 9 */
  -webkit-transform: rotate(45deg); /* Chrome, Safari, Opera */
  transform: rotate(45deg);
  z-index: 1;
  visibility: hidden;
  opacity: 0;
  transition: visibility 0s, opacity 0.2s linear;
}

.checkmark_circle {
  position: absolute;
  width: 140px;
  height: 140px;
  background-color: #31b531;
  border-radius: 80px;
  left: 0;
  top: 0;
}

.checkmark_stem {
  position: absolute;
  width: 15px;
  height: 49px;
  background-color: #fff;
  left: 69px;
  top: 38px;
}

.checkmark_kick {
  position: absolute;
  width: 30px;
  height: 15px;
  background-color: #fff;
  left: 54px;
  top: 81px;
}
.exit-poll-warning{
  background: var(--ndu-red);
  width: fit-content;
  padding: 3px 10px;
  color: white;
  font-size: 18px;
  margin: 20px 0;
}
.results-pairs-wrapper{
  max-width: 300px;
  margin: 30px;
}
@media (max-width: 1200px){
  .app-wrapper {
    padding: 10px;
}
} 
@media (max-width: 820px){
    #pageSettl{
        display: none;
    }
    #pageAbout{
        font-size: 15px;
    }
    .app-wrapper {
        padding: 10px;
        padding-top: 45px;
    }
    .nav-toggle {
        display: block
    }
    .navbar-items{
        display: none;
    }
    .nav-item a{
      font-size: 20px;
  }
    .navbar-logo{
        height: 23px;
        width: 23px;
        background-size: 23px;
    }
    .app-navbar{
        align-items: baseline;
        padding: 13px
    }
    .app-navbar.scrollUp {
        transform: translateY(-45px);
      }
    #pageSettl{
        display: none;
    }
    .apply-btn{
        display: block;
    }
    .section-header{
        padding: 10px 0 0 10px;
        line-height: 1.3;
    }
   #appForm input{
      max-width: 100%;
    }
    #appForm textarea{
      max-width: 100%;
    }
    .apply-checkbox-container{
      margin-top: 15px;
    }
    #MakeApplication{
      width: 100%;
      height: 50px;
      float: none;
      right: 0;
      margin-bottom: 0;
    }
    .projects-container{
      padding: 20px 0;
    }
    .projects-search-container{
      margin-left: 10px;
    }
    .ndu-btn{
      box-shadow: 2px 2px 15px #ce7f7f; 
    }
    .apply-info-container{
      padding: 0;
      font-size: 12px;
    }
    .apply-header{
      margin-top: 30px;
    }
    .apply-state-wrapper{
      margin-top: 30px;
    }
    .apply-state{
      margin-left: auto;
    }
    .apply-value{
      padding-left: 30px;
    }
    .apply-desc3{
      margin: 50px 0 20px 0;
      font-size: 14px;
    }
    .apply-header3{
      text-align: center
    }
    .apply-desc4{
      margin: auto;
      text-align: center;
    }
    .cancel-btn-wrapper{
      position: initial;
      margin-bottom: 10px
    }
    .block-wrapper2{
      padding: 10px;
    }
    .logout-items{
      display: none;
    }
}